aboutsummaryrefslogtreecommitdiff
path: root/alt/cpt-getchoice
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2020-07-25 11:20:55 +0300
committerCem Keylan <cem@ckyln.com>2020-07-25 11:20:55 +0300
commit47a3723632b82a0d3caf79dbe8ada1eae60dd976 (patch)
tree2c41b08502e35378af35fcda7622d3eaab776420 /alt/cpt-getchoice
parenta80ec35b458ad1616758aff8257d42b3b51ed17e (diff)
downloadcpt-extra-47a3723632b82a0d3caf79dbe8ada1eae60dd976.tar.gz
rename to cpt-extra
Diffstat (limited to 'alt/cpt-getchoice')
-rwxr-xr-xalt/cpt-getchoice16
1 files changed, 16 insertions, 0 deletions
diff --git a/alt/cpt-getchoice b/alt/cpt-getchoice
new file mode 100755
index 0000000..75521b4
--- /dev/null
+++ b/alt/cpt-getchoice
@@ -0,0 +1,16 @@
+#!/bin/sh -e
+# Prints the full path to a file in the alternatives system.
+
+case "$1" in ''|--help|-h)
+ printf '\033[1;33m-> \033[m%s\n' "usage: ${0##*/} [pkg] [command]"
+ exit 0; esac
+
+~/proj/carbslinux/kiss/kiss l "$1" >/dev/null
+
+[ "$2" ]
+file="/var/db/kiss/choices/$1$(printf '%s' "$2" | sed 's#/#>#g')"
+[ -f "$file" ] || {
+ printf '\033[1;33m!> \033[1;36m%s \033[m%s\n' "$1" "choice '$2' not found" >&2
+ exit 1
+}
+printf '%s\n' "$file"